### Class

# FwupdPlugin Smbios

#### Description [src]

    final class FwupdPlugin.Smbios : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

Enumerate the SMBIOS data on the system.

See also: `FuHwids`.

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_smbios_new

Creates a new object to parse SMBIOS data.

since: 1.0.0

#### Functions

###### fu_smbios_chassis_kind_to_string

Converts an enumerated value to a string.

#### Instance methods

###### fu_smbios_get_data

Reads all the SMBIOS data blobs of a specified type.

since: 2.0.7

###### fu_smbios_get_integer

Reads an integer value from the SMBIOS string table of a specific structure.

since: 2.0.7

###### fu_smbios_get_string

Reads a string from the SMBIOS string table of a specific structure.

since: 2.0.7

###### fu_smbios_setup

Reads all the SMBIOS values from the hardware.

since: 1.0.0

###### fu_smbios_setup_from_file

Reads all the SMBIOS values from a DMI blob.

since: 1.0.0

###### fu_smbios_setup_from_path

Reads all the SMBIOS values from a specific path.

since: 1.0.0

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginSmbiosClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.